Skip to main content
GET
/
events
/
scores
cURL
curl --request GET \
  --url https://api.jup.ag/prediction/v1/events/scores \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "eventId": "<string>",
      "gameId": "<string>",
      "live": true,
      "ended": true,
      "updatedAt": "<string>",
      "leagueAbbreviation": "<string>",
      "homeTeam": "<string>",
      "awayTeam": "<string>",
      "score": "<string>",
      "period": "<string>",
      "elapsed": "<string>",
      "status": "<string>",
      "finishedTimestamp": "<string>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Query Parameters

eventIds
string
required

Comma-separated event IDs to fetch live scores for (max 100)

Minimum string length: 1
Example:

"POLY-351731,POLY-30615"

Response

200 - application/json

Latest live scores for the given event IDs. Events without a score row are omitted.

data
object[]
required